Android StudioのArctic Foxでビルドエラーが出る(MacOS)

AndroidStudio

つい先日、Android Studioが「Arctic Fox」にバージョンがあがりました。(今日は2021/8/6)

バージョン名もガラっと変わって、どんな評判がでるのか様子を見ていたところ、MacOSでは、Flutterアプリを、Androidの実機またはAndroidのエミュレーターで動かすと、エラーが出るとのissueが出ています。

GitHub https://github.com/flutter/flutter/issues/85602

issueを読んでも、私には詳しいことはよくわからないけど、「Flutter SDKに関連」「Javaのパスを検索するロジックが失敗する」そんな感じ???

以下、対処法というほどのハナシではありませんが、いちおう…

対処法その1 バージョンアップしない

上記のissueでは、「Stable release now has correct version string, will be fixed by #87267」ということで、「次の安定版のリリースで正しくなる」と言っています。

次のバージョンを待てば、エラーもなくなっているはずなので、もっとも賢い対処法は「バージョンアップしない」。

対処法その2 ダウングレードする

もし、アップデートしてしまったのなら、4.2.1にダウングレードしましょう。

公式サイト https://developer.android.com/studio/archive.html

AndroidStudioのダウンロードアーカイブのサイト
長い利用規約を下へスクロール…
AndroidStudioのダウンロードアーカイブのサイト
「ライセンス契約に同意する」をクリック
AndroidStudioのダウンロードアーカイブから4.2.1を選ぶ
Android Studio4.2.1を選びます
AndroidStudio4.2.1からMacのインストーラをダウンロードする
Macのインストーラーをクリックしてダウンロード開始

dmgがダウンロードできたら、いつも通りにファイルをダブルクリックしてインストールします。
もとのAndroid Studio Arctic Foxは、アンインストールせず、そのままインストールできます。

4.2.1を起動したら、Flutter SDKとDart SDKは、一旦アンインストールしてから再度インストールします。

もしJetBrains Toolboxを使っているなら、「Update」の隣の3点ボタンをクリックして操作できます。

JetBrains Toolboxのメニューから操作する

対処法その3 Java SDK自分で頑張る

私を含めて、超初心者の方はたぶんやらないと思いますが、自分で頑張ってみるというのも一つのテかと…

参考 https://github.com/flutter/flutter/pull/87267

コメント

タイトルとURLをコピーしました